---
title: "Get callback info by ID"
url: "https://docs.signnow.com/docs/callbacks-info/operations/get-v2-dashboard-event-subscriptions-subscription_id-callbacks"
type: "endpoint"
section: "callbacks-info"
slug: "callbacks-info/operations/get-v2-dashboard-event-subscriptions-subscription_id-callbacks"
method: "GET"
path: "/v2/event-subscriptions/{subscription_id}/callbacks/{callback_id}"
operation_id: "get-v2-dashboard-event-subscriptions-subscription_id-callbacks"
authorization: "bearer"
---

# Get callback info by ID

`GET /v2/event-subscriptions/{subscription_id}/callbacks/{callback_id}`

This endpoint allows API users to get detailed info about one webhook by its ID.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `callback_id` | string | Yes | ID of the webhook. |
| `subscription_id` | string | Yes | ID of the subscription. |

## Responses

### 200

Depending on the type of event, the `initiator_id` parameter can be placed differently in response body (into the `request_content` object):
* only in the `meta` object if `event_name` is:
  * `document.update`
  * `document.complete`
  * `document.open`
  * `template.copy`
  * `document.fieldinvite.create` etc.
  * `document_group.update`
  * `document_group.invite.create` etc.;
   
* in the `meta` and in the `content` objects if `event_name` is:
  * `document.delete`
  * `document_group.delete`
  * `document_group.open`
  * `user.document_group.open`
  * `document_group.invite.declined`
  * `user.document_group.invite.declined`
  
The type of event also affects the composition of the parameters of the `request_content` object. 

<details>
  <summary>You can see it in the response examples here</summary>
<br>  
<table>
<tr>
<td> Event </td> <td> "request_content" object </td>
</tr>
<tr>
<td> document.delete <br> user.document.delete </td>
<td>


```json

{
   "meta": {
      "timestamp": 1748521868,
      "event": "document.delete",
      "environment": "https://api.signnow.com",
      "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "callback_url": "https://example.com/webhook?Param={\"docId\":\"f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
      "access_token": "********",
      "metadata": []
   },
   "content": {
      "document_id": "f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "document_name": "Sample Document",
      "user_id": "b2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "initiator_email": "signer@example.com"
   }
}
```

</td>
</tr>
<tr>
<td> document.update <br> user.document.update <br> user.document.create <br> user.document.complete <br> document.complete </td>
<td>


```json

{
   "meta": {
      "timestamp": 1748521868,
      "event": "document.update",
      "environment": "https://api.signnow.com",
      "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "callback_url": "https://example.com/webhook?Param={\"docId\":\"f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
      "access_token": "********",
      "metadata": []
   },
   "content": {
      "document_id": "f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "document_name": "Sample Document",
      "user_id": "b2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
   }
}
```

</td>
</tr>
<tr>
<td> document.open <br> user.document.open </td>
<td>


```json

{
   "meta": {
      "timestamp": 1748521868,
      "event": "document.open",
      "environment": "https://api.signnow.com",
      "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "callback_url": "https://example.com/webhook?Param={\"docId\":\"f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
      "access_token": "********",
      "metadata": []
   },
   "content": {
      "document_id": "f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "document_name": "Sample Document",
      "user_id": "b2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "viewer_user_unique_id": "h7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
   }
}
```

</td>
</tr>
<tr>
<td> template.copy <br> user.template.copy </td>
<td>


```json

{
   "meta": {
      "timestamp": 1748521868,
      "event": "template.copy",
      "environment": "https://api.signnow.com",
      "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "callback_url": "https://example.com/webhook?Param={\"docId\":\"f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
      "access_token": "********",
      "metadata": []
   },
   "content": {
      "document_id": "f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "template_id": "g6XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "user_id": "b2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "viewer_user_unique_id": "h7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
   }
}
```

</td>
</tr>
<tr>
<td> user.document.fieldinvite.create <br> user.document.fieldinvite.decline <br> user.document.fieldinvite.delete <br> user.document.fieldinvite.signed <br> user.document.fieldinvite.sent <br> user.document.freeform.create <br> user.document.freeform.signed <br> document.fieldinvite.create <br> document.fieldinvite.decline <br> document.fieldinvite.delete <br> document.fieldinvite.signed <br> document.fieldinvite.sent <br> document.freeform.create <br> document.freeform.signed </td>
<td>


```json

{
   "meta": {
      "timestamp": 1748521868,
      "event": "document.fieldinvite.create",
      "environment": "https://api.signnow.com",
      "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "callback_url": "https://example.com/webhook?Param={\"docId\":\"f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
      "access_token": "********",
      "metadata": []
   },
   "content": {
      "document_id": "f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "invite_id": "e5XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "signer": "signer@example.com",
      "status": "pending"
   }
}
```

</td>
</tr>
<tr>
<td> user.document.fieldinvite.reassign <br> document.fieldinvite.reassign </td>
<td>


```json

{
   "meta": {
      "timestamp": 1748521868,
      "event": "document.fieldinvite.reassign",
      "environment": "https://api.signnow.com",
      "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "callback_url": "https://example.com/webhook?Param={\"docId\":\"f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
      "access_token": "********",
      "metadata": []
   },
   "content": {
      "document_id": "f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "invite_id": "e5XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "signer": "signer@example.com",
      "old_invite_unique_id": "i8XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
   }
}
```

</td>
</tr>
<tr>
<td> user.document.fieldinvite.replace <br> document.fieldinvite.replace </td>
<td>


```json

{
   "meta": {
      "timestamp": 1748521868,
      "event": "document.fieldinvite.replace",
      "environment": "https://api.signnow.com",
      "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "callback_url": "https://example.com/webhook?Param={\"docId\":\"f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
      "access_token": "********",
      "metadata": []
   },
   "content": {
      "document_id": "f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "invite_id": "e5XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "signer": "signer@example.com",
      "old_invite_unique_id": "i8XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "group_invite": true
   }
}
```

</td>
</tr>
<tr>
<td> user.document_group.create <br> user.document_group.update <br> user.document_group.complete <br> document_group.update <br> document_group.complete </td>
<td>


```json

{
   "meta": {
      "timestamp": 1748521868,
      "event": "document_group.update",
      "environment": "https://api.signnow.com",
      "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "callback_url": "https://example.com/webhook?Param={\"groupId\":\"a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
      "access_token": "********",
      "metadata": []
   },
   "content": {
      "group_id": "a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "group_name": "Sample Document Group",
      "user_id": "b2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
   }
}
```

</td>
</tr>
<tr>
<td> document_group.delete <br> user.document_group.delete </td>
<td>


```json

{
   "meta": {
      "timestamp": 1748521868,
      "event": "document_group.delete",
      "environment": "https://api.signnow.com",
      "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "callback_url": "https://example.com/webhook?Param={\"groupId\":\"a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
      "access_token": "********",
      "metadata": []
   },
   "content": {
      "group_id": "a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "group_name": "Sample Document Group",
      "user_id": "b2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "initiator_email": "signer@example.com"
   }
}
```

</td>
</tr>
<tr>
<td> document_group.open <br> user.document_group.open </td>
<td>


```json

{
   "meta": {
      "timestamp": 1748521868,
      "event": "document_group.open",
      "environment": "https://api.signnow.com",
      "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "callback_url": "https://example.com/webhook?Param={\"groupId\":\"a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
      "access_token": "********",
      "metadata": []
   },
   "content": {
      "group_id": "a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "group_name": "Sample Document Group",
      "user_id": "b2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "initiator_email": "signer@example.com"
   }
}
```

</td>
</tr>
<tr>
<td> user.document_group.invite.create <br> user.document_group.invite.resend <br> user.document_group.invite.update <br> user.document_group.invite.cancel <br> document_group.invite.create <br> document_group.invite.resend <br> document_group.invite.update <br> document_group.invite.cancel </td>
<td>


```json

{
   "meta": {
      "timestamp": 1748521868,
      "event": "document_group.invite.create",
      "environment": "https://api.signnow.com",
      "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "callback_url": "https://example.com/webhook?Param={\"groupId\":\"a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
      "access_token": "********",
      "metadata": []
   },
   "content": {
      "group_id": "a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "group_invite_id": "d4XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "status": "pending"
   }
}
```

</td>
</tr>
<tr>
<td> document_group.invite.declined <br> user.document_group.invite.declined </td>
<td>


```json

{
   "meta": {
      "timestamp": 1748521868,
      "event": "document_group.invite.declined",
      "environment": "https://api.signnow.com",
      "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "callback_url": "https://example.com/webhook?Param={\"groupId\":\"a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
      "access_token": "********",
      "metadata": []
   },
   "content": {
      "group_id": "a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "group_invite_id": "d4XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "status": "canceled",
      "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "initiator_email": "signer@example.com"
   }
}
```

> **Note:** For SMS invitees, `initiator_email` contains a system-generated address in the format `sms_signer_{phone_number}@no.reply`.

</td>
</tr>
<tr>
<td> user.document_group.invite.expired </td>
<td>


```json

{
   "meta": {
      "timestamp": 1748521868,
      "event": "user.document_group.invite.expired",
      "environment": "https://api.signnow.com",
      "initiator_id": null,
      "callback_url": "https://example.com/webhook?Param={\"groupId\":\"a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
      "access_token": "********",
      "metadata": []
   },
   "content": {
      "group_id": "a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "group_name": "Sample Document Group",
      "group_invite_id": "d4XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "step": 2,
      "signers": [
         "signer@example.com",
         "signer2@example.com"
      ]
   }
}
```

</td>
</tr>
</table>

</details>




`Param` will be added to `callback_url` parameter, if `docid_queryparam` is `true`:

```
"callback_url":"{{callback_url}}?Param={\"groupId\":\"{{document_unique_id}}\"}

```
See [`docid_queryparam`](/docs/manage-event-subscriptions/operations/create-event-subscription-2) details

`access_token` will be added only if `delete_access_token` will be `false`. 
<br> See [`delete_access_token`](/docs/manage-event-subscriptions/operations/create-event-subscription-2) details.




**Example** (`Example 1`)

```json
{
  "data": {
    "id": "j9XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "duration": 0.0109,
    "entity_id": "a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "event_name": "document_group.invite.declined",
    "entity_type": "document_group",
    "callback_url": "https://example.com/webhook?Param={\"groupId\":\"a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
    "request_method": "post",
    "request_content": {
      "meta": {
        "event": "document_group.invite.declined",
        "metadata": [],
        "timestamp": 1748521868,
        "environment": "https://api.signnow.com",
        "access_token": "********",
        "callback_url": "https://example.com/webhook?Param={\"groupId\":\"a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
        "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
      },
      "content": {
        "status": "canceled",
        "group_id": "a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
        "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
        "group_invite_id": "d4XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
        "initiator_email": "signer@example.com"
      }
    },
    "request_headers": {
      "Content-Type": "application/json"
    },
    "application_name": "Sample Application",
    "request_end_time": 1748521868,
    "response_content": "{\"message\":\"Okay\",\"timestamp\":\"2025-05-29 10:24:28\"}",
    "request_start_time": 1748521868,
    "response_status_code": 200,
    "event_subscription_id": "a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "event_subscription_active": true,
    "event_subscription_owner_email": "owner@example.com"
  }
}
```

**Example** (`document_group.invite.declined`)

```json
{
  "data": {
    "id": "j9XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "duration": 0.0109,
    "entity_id": "a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "event_name": "document_group.invite.declined",
    "entity_type": "document_group",
    "callback_url": "https://example.com/webhook?Param={\"groupId\":\"a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
    "request_method": "post",
    "request_content": {
      "meta": {
        "event": "document_group.invite.declined",
        "metadata": [],
        "timestamp": 1748521868,
        "environment": "https://api.signnow.com",
        "access_token": "********",
        "callback_url": "https://example.com/webhook?Param={\"groupId\":\"a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
        "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
      },
      "content": {
        "status": "canceled",
        "group_id": "a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
        "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
        "group_invite_id": "d4XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
        "initiator_email": "signer@example.com"
      }
    },
    "request_headers": {
      "Content-Type": "application/json"
    },
    "application_name": "Sample Application",
    "request_end_time": 1748521868,
    "response_content": "{\"message\":\"Okay\",\"timestamp\":\"2025-05-29 10:24:28\"}",
    "request_start_time": 1748521868,
    "response_status_code": 200,
    "event_subscription_id": "a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "event_subscription_active": true,
    "event_subscription_owner_email": "owner@example.com"
  }
}
```

**Example** (``initiator_id` only in `meta` object`)

```json
{
  "data": {
    "id": "j9XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "duration": 0.0109,
    "entity_id": "f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "event_name": "document.update",
    "entity_type": "document",
    "callback_url": "https://example.com/webhook?Param={\"docId\":\"f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
    "request_method": "post",
    "request_content": {
      "meta": {
        "event": "document.update",
        "metadata": [],
        "timestamp": 1748521868,
        "environment": "https://api.signnow.com",
        "access_token": "********",
        "callback_url": "https://example.com/webhook?Param={\"docId\":\"f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
        "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
      },
      "content": {
        "user_id": "b2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
        "document_id": "f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
        "document_name": "Sample Document"
      }
    },
    "request_headers": {
      "Content-Type": "application/json"
    },
    "application_name": "Sample Application",
    "request_end_time": 1748521868,
    "response_content": "{\"message\":\"Okay\",\"timestamp\":\"2025-05-29 10:24:28\"}",
    "request_start_time": 1748521868,
    "response_status_code": 200,
    "event_subscription_id": "a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "event_subscription_active": true,
    "event_subscription_owner_email": "owner@example.com"
  }
}
```

**Example** (``initiator_id` in `meta` and `content` objects`)

```json
{
  "data": {
    "id": "j9XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "duration": 0.0109,
    "entity_id": "f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "event_name": "document.delete",
    "entity_type": "document",
    "callback_url": "https://example.com/webhook?Param={\"docId\":\"f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
    "request_method": "post",
    "request_content": {
      "meta": {
        "event": "document.delete",
        "metadata": [],
        "timestamp": 1748521868,
        "environment": "https://api.signnow.com",
        "access_token": "********",
        "callback_url": "https://example.com/webhook?Param={\"docId\":\"f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\"}",
        "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
      },
      "content": {
        "user_id": "b2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
        "document_id": "f7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
        "initiator_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
        "document_name": "Sample Document",
        "initiator_email": "signer@example.com"
      }
    },
    "request_headers": {
      "Content-Type": "application/json"
    },
    "application_name": "Sample Application",
    "request_end_time": 1748521868,
    "response_content": "{\"message\":\"Okay\",\"timestamp\":\"2025-05-29 10:24:28\"}",
    "request_start_time": 1748521868,
    "response_status_code": 200,
    "event_subscription_id": "a1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "event_subscription_active": true,
    "event_subscription_owner_email": "owner@example.com"
  }
}
```

### 400

* Request with incorrect token
* Request with valid bearer token but application deactivated/deleted
* Request authenticated with Basic token

**Example** (`Example 1`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Authorization error`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

Request with token of another application

**Example** (`Request with token of another application`)

```json
{
  "errors": [
    {
      "message": "Access to the subscription data is not allowed"
    }
  ]
}
```

### 404

* Request with non-existing subscription_id
* Request if callback_id not found
* Request with invalid subscription_id
* Request with invalid callback_id

**Example** (`Invalid callback_id`)

```json
{
  "404": "Unable to find a route to match the URI: v2/dashboard/event-subscriptions/c4XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/callbacks/23a@"
}
```

**Example** (`Callback_id not found`)

```json
{
  "errors": [
    {
      "message": "CallbackResponseLog `12345` not found"
    }
  ]
}
```

**Example** (` Invalid subscription_id`)

```json
{
  "404": "Unable to find a route to match the URI: v2/dashboard/event-subscriptions/23@/callbacks/12345"
}
```

**Example** (`Non-existing subscription_id`)

```json
{
  "errors": [
    {
      "message": "UserEventSubscription `94XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX` not found"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/event-subscriptions/{subscription_id}/callbacks/{callback_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/callbacks-info/operations/get-v2-dashboard-event-subscriptions-subscription_id-callbacks*
